import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientCreateNestedOneWithoutConversationInputObjectSchema as PatientCreateNestedOneWithoutConversationInputObjectSchema } from './PatientCreateNestedOneWithoutConversationInput.schema'

const makeSchema = () => z.object({
  stage: z.string().optional(),
  aiHandoff: z.boolean().optional(),
  updatedAt: z.coerce.date().optional(),
  patient: z.lazy(() => PatientCreateNestedOneWithoutConversationInputObjectSchema)
}).strict();
export const PatientConversationCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.PatientConversationCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientConversationCreateWithoutUserInput>;
export const PatientConversationCreateWithoutUserInputObjectZodSchema = makeSchema();
